curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=IDN" \
-F "services=idn_residential_identity_card" \
-F "vendor_data=user-1234" \
-F "consent=true" \
-F "full_name=John Doe" \
-F "date_of_birth=1990-01-01" \
-F "national_id=1111111111111111" \
-F 'address={"street_1":"123 Sample Street","street_2":"Unit 4","city":"Sample City","region":"Sample State","postal_code":"10001","country":"US"}'
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="IDN",
services=["idn_residential_identity_card"],
consent=True,
full_name="John Doe",
date_of_birth="1990-01-01",
address={"street_1": "123 Sample Street", "street_2": "Unit 4", "city": "Sample City", "region": "Sample State", "postal_code": "10001", "country": "US"},
national_id="1111111111111111",
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "IDN",
services: ["idn_residential_identity_card"],
consent: true,
full_name: "John Doe",
date_of_birth: "1990-01-01",
address: { street_1: "123 Sample Street", street_2: "Unit 4", city: "Sample City", region: "Sample State", postal_code: "10001", country: "US" },
national_id: "1111111111111111",
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "IDN",
Services: didit.Some([]string{"idn_residential_identity_card"}),
Consent: didit.Bool(true),
FullName: didit.String("John Doe"),
DateOfBirth: didit.String("1990-01-01"),
Address: didit.Some[any](map[string]any{"street_1": "123 Sample Street", "street_2": "Unit 4", "city": "Sample City", "region": "Sample State", "postal_code": "10001", "country": "US"}),
NationalID: didit.String("1111111111111111"),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.time.LocalDate;
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("IDN")
.services(List.of("idn_residential_identity_card"))
.consent(true)
.fullName("John Doe")
.dateOfBirth(LocalDate.parse("1990-01-01"))
.address(DatabaseValidationValidateParams.Address.ofVariant1(DatabaseValidationValidateParams.Address.Variant1.builder()
.street1("123 Sample Street")
.street2("Unit 4")
.city("Sample City")
.region("Sample State")
.postalCode("10001")
.country("US")
.build()))
.nationalId("1111111111111111")
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'IDN',
'services' => ['idn_residential_identity_card'],
'consent' => true,
'full_name' => 'John Doe',
'date_of_birth' => '1990-01-01',
'address' => ['street_1' => '123 Sample Street', 'street_2' => 'Unit 4', 'city' => 'Sample City', 'region' => 'Sample State', 'postal_code' => '10001', 'country' => 'US'],
'national_id' => '1111111111111111',
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "IDN",
services: ["idn_residential_identity_card"],
consent: true,
full_name: "John Doe",
date_of_birth: "1990-01-01",
address: { street_1: "123 Sample Street", street_2: "Unit 4", city: "Sample City", region: "Sample State", postal_code: "10001", country: "US" },
national_id: "1111111111111111",
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Collections.Generic;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "IDN",
Services = new string[] { "idn_residential_identity_card" },
Consent = true,
FullName = "John Doe",
DateOfBirth = "1990-01-01",
Address = new Dictionary<string, object> { ["street_1"] = "123 Sample Street", ["street_2"] = "Unit 4", ["city"] = "Sample City", ["region"] = "Sample State", ["postal_code"] = "10001", ["country"] = "US" },
NationalId = "1111111111111111",
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "IDN",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "idn_residential_identity_card",
"service_name": "Indonesia Residential Identity Card",
"source_data": {
"address_match_score": "1.000",
"date_of_birth": "1990-01-01",
"identification_number": "SAMPLE-ID-12345",
"verifications": {
"address": true,
"date_of_birth": true,
"full_name": true,
"identification_number": true
}
},
"validation": {
"address": "full_match",
"date_of_birth": "full_match",
"full_name": "full_match",
"identification_number": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "IDN",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "idn_residential_identity_card",
"service_name": "Indonesia Residential Identity Card",
"source_data": {
"address_match_score": "1.000",
"date_of_birth": "1990-01-01",
"identification_number": "SAMPLE-ID-12345",
"verifications": {
"address": true,
"date_of_birth": true,
"full_name": false,
"identification_number": true
}
},
"validation": {
"address": "full_match",
"date_of_birth": "full_match",
"full_name": "no_match",
"identification_number": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "IDN",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "idn_residential_identity_card",
"service_name": "Indonesia Residential Identity Card",
"source_data": {
"address": "NO_MATCH",
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH",
"identification_number": "NO_MATCH"
},
"validation": {
"address": "no_match",
"date_of_birth": "no_match",
"full_name": "no_match",
"identification_number": "no_match"
}
}
]
}
Datenbankvalidierung
Indonesien Residential Identity Card Verifizierung API
Indonesien-Datenbankabfrage für Wohnsitz-Ausweise über Didit. Pay-per-Call ab $0.35, ohne Verträge und ohne Mindestabnahme.
POST
/
v3
/
database-validation
/
curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=IDN" \
-F "services=idn_residential_identity_card" \
-F "vendor_data=user-1234" \
-F "consent=true" \
-F "full_name=John Doe" \
-F "date_of_birth=1990-01-01" \
-F "national_id=1111111111111111" \
-F 'address={"street_1":"123 Sample Street","street_2":"Unit 4","city":"Sample City","region":"Sample State","postal_code":"10001","country":"US"}'
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="IDN",
services=["idn_residential_identity_card"],
consent=True,
full_name="John Doe",
date_of_birth="1990-01-01",
address={"street_1": "123 Sample Street", "street_2": "Unit 4", "city": "Sample City", "region": "Sample State", "postal_code": "10001", "country": "US"},
national_id="1111111111111111",
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "IDN",
services: ["idn_residential_identity_card"],
consent: true,
full_name: "John Doe",
date_of_birth: "1990-01-01",
address: { street_1: "123 Sample Street", street_2: "Unit 4", city: "Sample City", region: "Sample State", postal_code: "10001", country: "US" },
national_id: "1111111111111111",
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "IDN",
Services: didit.Some([]string{"idn_residential_identity_card"}),
Consent: didit.Bool(true),
FullName: didit.String("John Doe"),
DateOfBirth: didit.String("1990-01-01"),
Address: didit.Some[any](map[string]any{"street_1": "123 Sample Street", "street_2": "Unit 4", "city": "Sample City", "region": "Sample State", "postal_code": "10001", "country": "US"}),
NationalID: didit.String("1111111111111111"),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.time.LocalDate;
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("IDN")
.services(List.of("idn_residential_identity_card"))
.consent(true)
.fullName("John Doe")
.dateOfBirth(LocalDate.parse("1990-01-01"))
.address(DatabaseValidationValidateParams.Address.ofVariant1(DatabaseValidationValidateParams.Address.Variant1.builder()
.street1("123 Sample Street")
.street2("Unit 4")
.city("Sample City")
.region("Sample State")
.postalCode("10001")
.country("US")
.build()))
.nationalId("1111111111111111")
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'IDN',
'services' => ['idn_residential_identity_card'],
'consent' => true,
'full_name' => 'John Doe',
'date_of_birth' => '1990-01-01',
'address' => ['street_1' => '123 Sample Street', 'street_2' => 'Unit 4', 'city' => 'Sample City', 'region' => 'Sample State', 'postal_code' => '10001', 'country' => 'US'],
'national_id' => '1111111111111111',
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "IDN",
services: ["idn_residential_identity_card"],
consent: true,
full_name: "John Doe",
date_of_birth: "1990-01-01",
address: { street_1: "123 Sample Street", street_2: "Unit 4", city: "Sample City", region: "Sample State", postal_code: "10001", country: "US" },
national_id: "1111111111111111",
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Collections.Generic;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "IDN",
Services = new string[] { "idn_residential_identity_card" },
Consent = true,
FullName = "John Doe",
DateOfBirth = "1990-01-01",
Address = new Dictionary<string, object> { ["street_1"] = "123 Sample Street", ["street_2"] = "Unit 4", ["city"] = "Sample City", ["region"] = "Sample State", ["postal_code"] = "10001", ["country"] = "US" },
NationalId = "1111111111111111",
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "IDN",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "idn_residential_identity_card",
"service_name": "Indonesia Residential Identity Card",
"source_data": {
"address_match_score": "1.000",
"date_of_birth": "1990-01-01",
"identification_number": "SAMPLE-ID-12345",
"verifications": {
"address": true,
"date_of_birth": true,
"full_name": true,
"identification_number": true
}
},
"validation": {
"address": "full_match",
"date_of_birth": "full_match",
"full_name": "full_match",
"identification_number": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "IDN",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "idn_residential_identity_card",
"service_name": "Indonesia Residential Identity Card",
"source_data": {
"address_match_score": "1.000",
"date_of_birth": "1990-01-01",
"identification_number": "SAMPLE-ID-12345",
"verifications": {
"address": true,
"date_of_birth": true,
"full_name": false,
"identification_number": true
}
},
"validation": {
"address": "full_match",
"date_of_birth": "full_match",
"full_name": "no_match",
"identification_number": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "IDN",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "idn_residential_identity_card",
"service_name": "Indonesia Residential Identity Card",
"source_data": {
"address": "NO_MATCH",
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH",
"identification_number": "NO_MATCH"
},
"validation": {
"address": "no_match",
"date_of_birth": "no_match",
"full_name": "no_match",
"identification_number": "no_match"
}
}
]
}
Prüft Eingabedaten gegen eine staatliche Behörde. Didit stellt diesen Service über
POST /v3/database-validation/ bereit, damit Sie die übermittelten Daten mit der maßgeblichen Quelle abgleichen und normalisierte Übereinstimmungsergebnisse erhalten.
Abdeckung
- Abdeckung: ~ 90%
- Land: Indonesien
- Service-ID:
idn_residential_identity_card - Datenbereich: Adresse
- Kategorie: Wohnsitz
Eingaben
| Feld | Pflicht | Beispiel |
|---|---|---|
full_name | Ja | John Doe |
date_of_birth | Ja | 1990-01-01 |
national_id | Ja | 1111111111111111 |
address.street_1 | Ja | 123 Sample Street |
address.postal_code | Ja | 10001 |
address.street_2 | Nein | Unit 4 |
address.city | Nein | Sample City |
address.region | Nein | Sample State |
gender | Nein | M |
vendor_data | Nein | user-1234 |
- Pflichteingaben:
full_name,date_of_birth,national_id,address.street_1,address.postal_code - Optionale Eingaben:
address.street_2,address.city,address.region,gender,vendor_data - Einwilligung: Erforderlich
- Verfügbarkeit im Workflow: Im Workflow verfügbar
- Abdeckung: ~ 90%
- Preis: $0.35 pro erfolgreicher Abfrage
Body-Parameter
string
Standard:"IDN"
erforderlich
ISO-3166-1-Alpha-3-Ländercode für diesen Datenbankservice.Beispiel:
IDNstring
Standard:"idn_residential_identity_card"
erforderlich
Array, das diese Service-ID enthält. Durch das Festlegen des Service bleibt die Anfrage auf genau diese Datenbank beschränkt.Beispiel:
idn_residential_identity_cardboolean
Standard:"true"
erforderlich
Ausdrückliche Einwilligung des Endbenutzers für diesen Service.Beispiel:
truestring
Standard:"John Doe"
erforderlich
Vollständiger amtlicher Name, der validiert werden soll.Beispiel:
John Doestring
Standard:"1990-01-01"
erforderlich
Geburtsdatum im Format
YYYY-MM-DD.Beispiel: 1990-01-01string
Standard:"1111111111111111"
erforderlich
Nationale Identitätsnummer für diesen Service.Beispiel:
1111111111111111object
erforderlich
Strukturiertes Objekt für die Wohnadresse. Verwenden Sie
street_1, street_2, city, region, postal_code und country. Eine vollständige Adresszeichenfolge im alten Format wird weiterhin akzeptiert, wird aber nicht empfohlen.Beispiel: {"street_1":"123 Sample Street","street_2":"Unit 4","city":"Sample City","region":"Sample State","postal_code":"10001","country":"US"}string
Geschlechtsangabe, sofern die Datenbank sie erfordert.Zulässige Werte:
M (männlich), F (weiblich), X (anderes oder unbekannt).Beispiel: Mstring
Standard:"user-1234"
Ihre dauerhafte Benutzerreferenz für diese Person, etwa Ihre interne Benutzer-ID. Didit verwendet sie, um eigenständige Prüfungen demselben Endbenutzer zuzuordnen und unnötige Meldungen bei der Duplikaterkennung zu reduzieren.Beispiel:
user-1234Eingaberegeln und Validierungshinweise
national_iddarf nur Ziffern enthalten. Entfernen Sie vor dem Senden der Anfrage Leerzeichen, Bindestriche und Satzzeichen.national_idmuss genau 16 Zeichen lang sein.- Verwenden Sie bei Adressservices nach Möglichkeit strukturierte Adressfelder statt einer einzelnen
address-Zeichenfolge. address.street_1ist die Straßenadresse einschließlich Hausnummer und Straßentyp.address.street_2bezeichnet eine Wohnung, Einheit, ein Gebäude, eine Etage oder eine zusätzliche Adresszeile. Senden Sie sie nur, wenn Sie diese Angabe haben.address.citybezeichnet eine Stadt, einen Vorort, einen Bezirk, eine Ortschaft oder einen Stadtteil.address.regionbezeichnet einen Bundesstaat, eine Provinz, eine Region oder einen Ort.address.postal_codeist die Postleitzahl.- Adressbasierte Datenbankservices erfordern mindestens Straßenadresse und Postleitzahl. Anfragen, die vor der Abfrage der Quelle abgelehnt werden, werden nicht berechnet.
So rufen Sie es auf
curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=IDN" \
-F "services=idn_residential_identity_card" \
-F "vendor_data=user-1234" \
-F "consent=true" \
-F "full_name=John Doe" \
-F "date_of_birth=1990-01-01" \
-F "national_id=1111111111111111" \
-F 'address={"street_1":"123 Sample Street","street_2":"Unit 4","city":"Sample City","region":"Sample State","postal_code":"10001","country":"US"}'
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="IDN",
services=["idn_residential_identity_card"],
consent=True,
full_name="John Doe",
date_of_birth="1990-01-01",
address={"street_1": "123 Sample Street", "street_2": "Unit 4", "city": "Sample City", "region": "Sample State", "postal_code": "10001", "country": "US"},
national_id="1111111111111111",
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "IDN",
services: ["idn_residential_identity_card"],
consent: true,
full_name: "John Doe",
date_of_birth: "1990-01-01",
address: { street_1: "123 Sample Street", street_2: "Unit 4", city: "Sample City", region: "Sample State", postal_code: "10001", country: "US" },
national_id: "1111111111111111",
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "IDN",
Services: didit.Some([]string{"idn_residential_identity_card"}),
Consent: didit.Bool(true),
FullName: didit.String("John Doe"),
DateOfBirth: didit.String("1990-01-01"),
Address: didit.Some[any](map[string]any{"street_1": "123 Sample Street", "street_2": "Unit 4", "city": "Sample City", "region": "Sample State", "postal_code": "10001", "country": "US"}),
NationalID: didit.String("1111111111111111"),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.time.LocalDate;
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("IDN")
.services(List.of("idn_residential_identity_card"))
.consent(true)
.fullName("John Doe")
.dateOfBirth(LocalDate.parse("1990-01-01"))
.address(DatabaseValidationValidateParams.Address.ofVariant1(DatabaseValidationValidateParams.Address.Variant1.builder()
.street1("123 Sample Street")
.street2("Unit 4")
.city("Sample City")
.region("Sample State")
.postalCode("10001")
.country("US")
.build()))
.nationalId("1111111111111111")
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'IDN',
'services' => ['idn_residential_identity_card'],
'consent' => true,
'full_name' => 'John Doe',
'date_of_birth' => '1990-01-01',
'address' => ['street_1' => '123 Sample Street', 'street_2' => 'Unit 4', 'city' => 'Sample City', 'region' => 'Sample State', 'postal_code' => '10001', 'country' => 'US'],
'national_id' => '1111111111111111',
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "IDN",
services: ["idn_residential_identity_card"],
consent: true,
full_name: "John Doe",
date_of_birth: "1990-01-01",
address: { street_1: "123 Sample Street", street_2: "Unit 4", city: "Sample City", region: "Sample State", postal_code: "10001", country: "US" },
national_id: "1111111111111111",
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Collections.Generic;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "IDN",
Services = new string[] { "idn_residential_identity_card" },
Consent = true,
FullName = "John Doe",
DateOfBirth = "1990-01-01",
Address = new Dictionary<string, object> { ["street_1"] = "123 Sample Street", ["street_2"] = "Unit 4", ["city"] = "Sample City", ["region"] = "Sample State", ["postal_code"] = "10001", ["country"] = "US" },
NationalId = "1111111111111111",
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
Jeder erfolgreiche Aufruf liefert HTTP 200 zurück. Das Feld outcome_code zeigt, was tatsächlich passiert ist, und unterscheidet z. B. einen echten biometrischen Abgleichsfehler (BIOMETRIC_NO_MATCH) von einem Selfie, das nicht gelesen werden konnte (BIOMETRIC_IMAGE_UNUSABLE). Der angezeigte status ist der Standardstatus der Funktion; Ihre konfigurierten Aktionen für Teilübereinstimmung / Keine Übereinstimmung können ihn überschreiben.MATCH: Das Register hat die Identität bestätigt, und jedes geprüfte Feld stimmte überein.{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "IDN",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "idn_residential_identity_card",
"service_name": "Indonesia Residential Identity Card",
"source_data": {
"address_match_score": "1.000",
"date_of_birth": "1990-01-01",
"identification_number": "SAMPLE-ID-12345",
"verifications": {
"address": true,
"date_of_birth": true,
"full_name": true,
"identification_number": true
}
},
"validation": {
"address": "full_match",
"date_of_birth": "full_match",
"full_name": "full_match",
"identification_number": "full_match"
}
}
]
}
PARTIAL_MATCH: Die Identifikationsnummer wurde gefunden, aber ein oder mehrere persönliche Felder (meist Name oder Geburtsdatum) stimmen nicht vollständig überein.{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "IDN",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "idn_residential_identity_card",
"service_name": "Indonesia Residential Identity Card",
"source_data": {
"address_match_score": "1.000",
"date_of_birth": "1990-01-01",
"identification_number": "SAMPLE-ID-12345",
"verifications": {
"address": true,
"date_of_birth": true,
"full_name": false,
"identification_number": true
}
},
"validation": {
"address": "full_match",
"date_of_birth": "full_match",
"full_name": "no_match",
"identification_number": "full_match"
}
}
]
}
NO_MATCH: Das Register hat für die übermittelten Daten keine Übereinstimmung zurückgegeben.{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "IDN",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "idn_residential_identity_card",
"service_name": "Indonesia Residential Identity Card",
"source_data": {
"address": "NO_MATCH",
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH",
"identification_number": "NO_MATCH"
},
"validation": {
"address": "no_match",
"date_of_birth": "no_match",
"full_name": "no_match",
"identification_number": "no_match"
}
}
]
}
Zurückgegebene Daten
Welche Felder genau insource_data ausgegeben werden, hängt davon ab, was das Register zurückgibt. Das generierte Beispiel für idn_residential_identity_card dokumentiert derzeit diese normalisierte Form:
address_match_scoredate_of_birthidentification_number
Preise & SLAs
Abfragen für Indonesia Residential Identity Card werden nur abgerechnet, wenn Didit ein schlüssiges Ergebnis von der Validierungsquelle erhält.- Preis pro Aufruf: $0.35 USD.
- Abrechnung: pro erfolgreicher Abfrage. Ihnen werden keine Kosten berechnet, wenn das Register nicht erreichbar ist, wenn Pflichtfelder fehlen oder wenn die Anfrage abgelehnt wird, bevor sie die Quelle erreicht.
- Latenz: typischerweise p95 < 2 s.
- Verfügbarkeit: 99.9% pro Quartal auf Seiten von Didit; die Verfügbarkeit der nachgelagerten Quelle variiert je nach Land und Datensatz.
Weiterlesen
Zuletzt geändert am 7. November 2026